function _extends() {
  _extends = Object.assign ? Object.assign.bind() : function(target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];
      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }
    return target;
  };
  return _extends.apply(this, arguments);
}
import * as echarts from "echarts/core";
import { GridComponent } from "echarts/components";
import { BarChart } from "echarts/charts";
import { CanvasRenderer } from "echarts/renderers";
import { waterfall } from "@dftvue2-opentiny/vue-renderless/chart-waterfall/index";
import { waterfall as waterfall2 } from "@dftvue2-opentiny/vue-renderless/chart-waterfall/index";
import Core from "@dftvue2-opentiny/vue-chart-core";
import { defineComponent, $prefix } from "@dftvue2-opentiny/vue-common";
echarts.use([GridComponent, BarChart, CanvasRenderer]);
var Waterfall = defineComponent(_extends({}, Core, {
  name: $prefix + "ChartWaterfall",
  data: function data() {
    this.chartHandler = waterfall;
    return {};
  }
}));
var version = "2.8.0";
Waterfall.install = function(Vue) {
  Vue.component(Waterfall.name, Waterfall);
};
Waterfall.version = version;
export {
  Waterfall as default,
  waterfall2 as waterfall
};
